default_run_options[:pty] = true 導致rbenv bundler失效的問題

問題發生狀況

config/deploy.rb 中寫了 default_run_options[:pty] = true 結果 cap deploy 後會出現一大堆 gem 眉莊的錯誤訊息。

解決方法

取消那一行,改寫成 default_run_options[:shell] = '/bin/bash --login'

Comments

comments powered by Disqus